source: tests/preempt_longrun/Makefile.in @ ba9baad

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsdeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprno_listpersistent-indexerpthread-emulationqualifiedEnum
Last change on this file since ba9baad was ff1e0f38, checked in by Thierry Delisle <tdelisle@…>, 6 years ago

configure flags are now propagated properly to libcfa

  • Property mode set to 100644
File size: 29.1 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = tests/preempt_longrun
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/configure.ac
96am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
97        $(ACLOCAL_M4)
98DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
99mkinstalldirs = $(install_sh) -d
100CONFIG_HEADER = $(top_builddir)/config.h
101CONFIG_CLEAN_FILES =
102CONFIG_CLEAN_VPATH_FILES =
103AM_V_P = $(am__v_P_@AM_V@)
104am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
105am__v_P_0 = false
106am__v_P_1 = :
107AM_V_GEN = $(am__v_GEN_@AM_V@)
108am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
109am__v_GEN_0 = @echo "  GEN     " $@;
110am__v_GEN_1 =
111AM_V_at = $(am__v_at_@AM_V@)
112am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
113am__v_at_0 = @
114am__v_at_1 =
115SOURCES =
116DIST_SOURCES =
117am__can_run_installinfo = \
118  case $$AM_UPDATE_INFO_DIR in \
119    n|no|NO) false;; \
120    *) (install-info --version) >/dev/null 2>&1;; \
121  esac
122am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
123am__tty_colors_dummy = \
124  mgn= red= grn= lgn= blu= brg= std=; \
125  am__color_tests=no
126am__tty_colors = { \
127  $(am__tty_colors_dummy); \
128  if test "X$(AM_COLOR_TESTS)" = Xno; then \
129    am__color_tests=no; \
130  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
131    am__color_tests=yes; \
132  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
133    am__color_tests=yes; \
134  fi; \
135  if test $$am__color_tests = yes; then \
136    red='[0;31m'; \
137    grn='[0;32m'; \
138    lgn='[1;32m'; \
139    blu='[1;34m'; \
140    mgn='[0;35m'; \
141    brg='[1m'; \
142    std='[m'; \
143  fi; \
144}
145am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
146am__vpath_adj = case $$p in \
147    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
148    *) f=$$p;; \
149  esac;
150am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
151am__install_max = 40
152am__nobase_strip_setup = \
153  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
154am__nobase_strip = \
155  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
156am__nobase_list = $(am__nobase_strip_setup); \
157  for p in $$list; do echo "$$p $$p"; done | \
158  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
159  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
160    if (++n[$$2] == $(am__install_max)) \
161      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
162    END { for (dir in files) print dir, files[dir] }'
163am__base_list = \
164  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
165  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
166am__uninstall_files_from_dir = { \
167  test -z "$$files" \
168    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
169    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
170         $(am__cd) "$$dir" && rm -f $$files; }; \
171  }
172am__recheck_rx = ^[     ]*:recheck:[    ]*
173am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
174am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
175# A command that, given a newline-separated list of test names on the
176# standard input, print the name of the tests that are to be re-run
177# upon "make recheck".
178am__list_recheck_tests = $(AWK) '{ \
179  recheck = 1; \
180  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
181    { \
182      if (rc < 0) \
183        { \
184          if ((getline line2 < ($$0 ".log")) < 0) \
185            recheck = 0; \
186          break; \
187        } \
188      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
189        { \
190          recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
194        { \
195          break; \
196        } \
197    }; \
198  if (recheck) \
199    print $$0; \
200  close ($$0 ".trs"); \
201  close ($$0 ".log"); \
202}'
203# A command that, given a newline-separated list of test names on the
204# standard input, create the global log from their .trs and .log files.
205am__create_global_log = $(AWK) ' \
206function fatal(msg) \
207{ \
208  print "fatal: making $@: " msg | "cat >&2"; \
209  exit 1; \
210} \
211function rst_section(header) \
212{ \
213  print header; \
214  len = length(header); \
215  for (i = 1; i <= len; i = i + 1) \
216    printf "="; \
217  printf "\n\n"; \
218} \
219{ \
220  copy_in_global_log = 1; \
221  global_test_result = "RUN"; \
222  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
223    { \
224      if (rc < 0) \
225         fatal("failed to read from " $$0 ".trs"); \
226      if (line ~ /$(am__global_test_result_rx)/) \
227        { \
228          sub("$(am__global_test_result_rx)", "", line); \
229          sub("[        ]*$$", "", line); \
230          global_test_result = line; \
231        } \
232      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
233        copy_in_global_log = 0; \
234    }; \
235  if (copy_in_global_log) \
236    { \
237      rst_section(global_test_result ": " $$0); \
238      while ((rc = (getline line < ($$0 ".log"))) != 0) \
239      { \
240        if (rc < 0) \
241          fatal("failed to read from " $$0 ".log"); \
242        print line; \
243      }; \
244      printf "\n"; \
245    }; \
246  close ($$0 ".trs"); \
247  close ($$0 ".log"); \
248}'
249# Restructured Text title.
250am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
251# Solaris 10 'make', and several other traditional 'make' implementations,
252# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
253# by disabling -e (using the XSI extension "set +e") if it's set.
254am__sh_e_setup = case $$- in *e*) set +e;; esac
255# Default flags passed to test drivers.
256am__common_driver_flags = \
257  --color-tests "$$am__color_tests" \
258  --enable-hard-errors "$$am__enable_hard_errors" \
259  --expect-failure "$$am__expect_failure"
260# To be inserted before the command running the test.  Creates the
261# directory for the log if needed.  Stores in $dir the directory
262# containing $f, in $tst the test, in $log the log.  Executes the
263# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
264# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
265# will run the test scripts (or their associated LOG_COMPILER, if
266# thy have one).
267am__check_pre = \
268$(am__sh_e_setup);                                      \
269$(am__vpath_adj_setup) $(am__vpath_adj)                 \
270$(am__tty_colors);                                      \
271srcdir=$(srcdir); export srcdir;                        \
272case "$@" in                                            \
273  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
274    *) am__odir=.;;                                     \
275esac;                                                   \
276test "x$$am__odir" = x"." || test -d "$$am__odir"       \
277  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
278if test -f "./$$f"; then dir=./;                        \
279elif test -f "$$f"; then dir=;                          \
280else dir="$(srcdir)/"; fi;                              \
281tst=$$dir$$f; log='$@';                                 \
282if test -n '$(DISABLE_HARD_ERRORS)'; then               \
283  am__enable_hard_errors=no;                            \
284else                                                    \
285  am__enable_hard_errors=yes;                           \
286fi;                                                     \
287case " $(XFAIL_TESTS) " in                              \
288  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
289    am__expect_failure=yes;;                            \
290  *)                                                    \
291    am__expect_failure=no;;                             \
292esac;                                                   \
293$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
294# A shell command to get the names of the tests scripts with any registered
295# extension removed (i.e., equivalently, the names of the test logs, with
296# the '.log' extension removed).  The result is saved in the shell variable
297# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
298# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
299# since that might cause problem with VPATH rewrites for suffix-less tests.
300# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
301am__set_TESTS_bases = \
302  bases='$(TEST_LOGS)'; \
303  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
304  bases=`echo $$bases`
305RECHECK_LOGS = $(TEST_LOGS)
306AM_RECURSIVE_TARGETS = check recheck
307TEST_SUITE_LOG = test-suite.log
308TEST_EXTENSIONS = @EXEEXT@ .test
309LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
310LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
311am__set_b = \
312  case '$@' in \
313    */*) \
314      case '$*' in \
315        */*) b='$*';; \
316          *) b=`echo '$@' | sed 's/\.log$$//'`; \
317       esac;; \
318    *) \
319      b='$*';; \
320  esac
321am__test_logs1 = $(TESTS:=.log)
322am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
323TEST_LOGS = $(am__test_logs2:.test.log=.log)
324TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
325TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
326        $(TEST_LOG_FLAGS)
327am__DIST_COMMON = $(srcdir)/Makefile.in \
328        $(top_srcdir)/automake/test-driver
329DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
330ACLOCAL = @ACLOCAL@
331ALLOCA = @ALLOCA@
332AMTAR = @AMTAR@
333AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
334AUTOCONF = @AUTOCONF@
335AUTOHEADER = @AUTOHEADER@
336AUTOMAKE = @AUTOMAKE@
337AWK = @AWK@
338BACKEND_CC = @BACKEND_CC@
339BUILD_IN_TREE_FLAGS = @BUILD_IN_TREE_FLAGS@
340CC = @CFACC@
341CCAS = @CCAS@
342CCASDEPMODE = @CCASDEPMODE@
343CCASFLAGS = @CCASFLAGS@
344CCDEPMODE = @CCDEPMODE@
345CFACC = @CFACC@
346CFACPP = @CFACPP@
347CFA_BACKEND_CC = @CFA_BACKEND_CC@
348CFA_BINDIR = @CFA_BINDIR@
349CFA_FLAGS = @CFA_FLAGS@
350CFA_INCDIR = @CFA_INCDIR@
351CFA_LIBDIR = @CFA_LIBDIR@
352CFA_NAME = @CFA_NAME@
353CFA_PREFIX = @CFA_PREFIX@
354CFLAGS = ${BUILD_FLAGS}
355CPP = @CPP@
356CPPFLAGS = @CPPFLAGS@
357CXX = @CXX@
358CXXDEPMODE = @CXXDEPMODE@
359CXXFLAGS = @CXXFLAGS@
360CYGPATH_W = @CYGPATH_W@
361DEFS = @DEFS@
362DEPDIR = @DEPDIR@
363DRIVER_DIR = @DRIVER_DIR@
364ECHO_C = @ECHO_C@
365ECHO_N = @ECHO_N@
366ECHO_T = @ECHO_T@
367EGREP = @EGREP@
368EXEEXT = @EXEEXT@
369GREP = @GREP@
370INSTALL = @INSTALL@
371INSTALL_DATA = @INSTALL_DATA@
372INSTALL_PROGRAM = @INSTALL_PROGRAM@
373INSTALL_SCRIPT = @INSTALL_SCRIPT@
374INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
375LDFLAGS = @LDFLAGS@
376LEX = @LEX@
377LEXLIB = @LEXLIB@
378LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
379LIBCFA_TARGET_DIRS = @LIBCFA_TARGET_DIRS@
380LIBCFA_TARGET_MAKEFILES = @LIBCFA_TARGET_MAKEFILES@
381LIBOBJS = @LIBOBJS@
382LIBS = @LIBS@
383LTLIBOBJS = @LTLIBOBJS@
384MAKEINFO = @MAKEINFO@
385MKDIR_P = @MKDIR_P@
386OBJEXT = @OBJEXT@
387PACKAGE = @PACKAGE@
388PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
389PACKAGE_NAME = @PACKAGE_NAME@
390PACKAGE_STRING = @PACKAGE_STRING@
391PACKAGE_TARNAME = @PACKAGE_TARNAME@
392PACKAGE_URL = @PACKAGE_URL@
393PACKAGE_VERSION = @PACKAGE_VERSION@
394PATH_SEPARATOR = @PATH_SEPARATOR@
395RANLIB = @RANLIB@
396SET_MAKE = @SET_MAKE@
397SHELL = @SHELL@
398STRIP = @STRIP@
399TARGET_HOSTS = @TARGET_HOSTS@
400VERSION = @VERSION@
401YACC = @YACC@
402YFLAGS = @YFLAGS@
403abs_builddir = @abs_builddir@
404abs_srcdir = @abs_srcdir@
405abs_top_builddir = @abs_top_builddir@
406abs_top_srcdir = @abs_top_srcdir@
407ac_ct_CC = @ac_ct_CC@
408ac_ct_CXX = @ac_ct_CXX@
409am__include = @am__include@
410am__leading_dot = @am__leading_dot@
411am__quote = @am__quote@
412am__tar = @am__tar@
413am__untar = @am__untar@
414bindir = @bindir@
415build = @build@
416build_alias = @build_alias@
417build_cpu = @build_cpu@
418build_os = @build_os@
419build_vendor = @build_vendor@
420builddir = @builddir@
421datadir = @datadir@
422datarootdir = @datarootdir@
423docdir = @docdir@
424dvidir = @dvidir@
425exec_prefix = @exec_prefix@
426host = @host@
427host_alias = @host_alias@
428host_cpu = @host_cpu@
429host_os = @host_os@
430host_vendor = @host_vendor@
431htmldir = @htmldir@
432includedir = @includedir@
433infodir = @infodir@
434install_sh = @install_sh@
435libdir = @libdir@
436libexecdir = @libexecdir@
437localedir = @localedir@
438localstatedir = @localstatedir@
439mandir = @mandir@
440mkdir_p = @mkdir_p@
441oldincludedir = @oldincludedir@
442pdfdir = @pdfdir@
443prefix = @prefix@
444program_transform_name = @program_transform_name@
445psdir = @psdir@
446runstatedir = @runstatedir@
447sbindir = @sbindir@
448sharedstatedir = @sharedstatedir@
449srcdir = @srcdir@
450sysconfdir = @sysconfdir@
451target_alias = @target_alias@
452top_build_prefix = @top_build_prefix@
453top_builddir = @top_builddir@
454top_srcdir = @top_srcdir@
455repeats = 10
456max_time = 600
457preempt = 10ul\`ms
458debug = -debug
459type = LONG
460REPEAT = ${abs_top_srcdir}/tools/repeat
461WATCHDOG = ${abs_top_srcdir}/tools/watchdog
462TIME = /usr/bin/time -f "%E"
463
464# $(shell ./update-type $(type))
465# ./update-type $(type)
466UPDATED_TYPE = $(shell ./update-type $(type))
467BUILD_FLAGS = -g -Wall -Wno-unused-function -quiet @CFA_FLAGS@ -O2 -DPREEMPTION_RATE=${preempt} -I.. -I. -DTEST_$(shell cat .type | tr a-z A-Z)
468TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
469all: all-am
470
471.SUFFIXES:
472.SUFFIXES: .log .test .test$(EXEEXT) .trs
473$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
474        @for dep in $?; do \
475          case '$(am__configure_deps)' in \
476            *$$dep*) \
477              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
478                && { if test -f $@; then exit 0; else break; fi; }; \
479              exit 1;; \
480          esac; \
481        done; \
482        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/preempt_longrun/Makefile'; \
483        $(am__cd) $(top_srcdir) && \
484          $(AUTOMAKE) --foreign tests/preempt_longrun/Makefile
485Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
486        @case '$?' in \
487          *config.status*) \
488            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
489          *) \
490            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
491            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
492        esac;
493
494$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
495        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
496
497$(top_srcdir)/configure:  $(am__configure_deps)
498        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
499$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
500        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
501$(am__aclocal_m4_deps):
502tags TAGS:
503
504ctags CTAGS:
505
506cscope cscopelist:
507
508
509# Recover from deleted '.trs' file; this should ensure that
510# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
511# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
512# to avoid problems with "make -n".
513.log.trs:
514        rm -f $< $@
515        $(MAKE) $(AM_MAKEFLAGS) $<
516
517# Leading 'am--fnord' is there to ensure the list of targets does not
518# expand to empty, as could happen e.g. with make check TESTS=''.
519am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
520am--force-recheck:
521        @:
522
523$(TEST_SUITE_LOG): $(TEST_LOGS)
524        @$(am__set_TESTS_bases); \
525        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
526        redo_bases=`for i in $$bases; do \
527                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
528                    done`; \
529        if test -n "$$redo_bases"; then \
530          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
531          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
532          if $(am__make_dryrun); then :; else \
533            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
534          fi; \
535        fi; \
536        if test -n "$$am__remaking_logs"; then \
537          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
538               "recursion detected" >&2; \
539        elif test -n "$$redo_logs"; then \
540          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
541        fi; \
542        if $(am__make_dryrun); then :; else \
543          st=0;  \
544          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
545          for i in $$redo_bases; do \
546            test -f $$i.trs && test -r $$i.trs \
547              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
548            test -f $$i.log && test -r $$i.log \
549              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
550          done; \
551          test $$st -eq 0 || exit 1; \
552        fi
553        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
554        ws='[   ]'; \
555        results=`for b in $$bases; do echo $$b.trs; done`; \
556        test -n "$$results" || results=/dev/null; \
557        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
558        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
559        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
560        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
561        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
562        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
563        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
564        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
565          success=true; \
566        else \
567          success=false; \
568        fi; \
569        br='==================='; br=$$br$$br$$br$$br; \
570        result_count () \
571        { \
572            if test x"$$1" = x"--maybe-color"; then \
573              maybe_colorize=yes; \
574            elif test x"$$1" = x"--no-color"; then \
575              maybe_colorize=no; \
576            else \
577              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
578            fi; \
579            shift; \
580            desc=$$1 count=$$2; \
581            if test $$maybe_colorize = yes && test $$count -gt 0; then \
582              color_start=$$3 color_end=$$std; \
583            else \
584              color_start= color_end=; \
585            fi; \
586            echo "$${color_start}# $$desc $$count$${color_end}"; \
587        }; \
588        create_testsuite_report () \
589        { \
590          result_count $$1 "TOTAL:" $$all   "$$brg"; \
591          result_count $$1 "PASS: " $$pass  "$$grn"; \
592          result_count $$1 "SKIP: " $$skip  "$$blu"; \
593          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
594          result_count $$1 "FAIL: " $$fail  "$$red"; \
595          result_count $$1 "XPASS:" $$xpass "$$red"; \
596          result_count $$1 "ERROR:" $$error "$$mgn"; \
597        }; \
598        {                                                               \
599          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
600            $(am__rst_title);                                           \
601          create_testsuite_report --no-color;                           \
602          echo;                                                         \
603          echo ".. contents:: :depth: 2";                               \
604          echo;                                                         \
605          for b in $$bases; do echo $$b; done                           \
606            | $(am__create_global_log);                                 \
607        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
608        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
609        if $$success; then                                              \
610          col="$$grn";                                                  \
611         else                                                           \
612          col="$$red";                                                  \
613          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
614        fi;                                                             \
615        echo "$${col}$$br$${std}";                                      \
616        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
617        echo "$${col}$$br$${std}";                                      \
618        create_testsuite_report --maybe-color;                          \
619        echo "$$col$$br$$std";                                          \
620        if $$success; then :; else                                      \
621          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
622          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
623            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
624          fi;                                                           \
625          echo "$$col$$br$$std";                                        \
626        fi;                                                             \
627        $$success || exit 1
628
629check-TESTS:
630        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
631        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
632        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
633        @set +e; $(am__set_TESTS_bases); \
634        log_list=`for i in $$bases; do echo $$i.log; done`; \
635        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
636        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
637        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
638        exit $$?;
639recheck: all
640        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
641        @set +e; $(am__set_TESTS_bases); \
642        bases=`for i in $$bases; do echo $$i; done \
643                 | $(am__list_recheck_tests)` || exit 1; \
644        log_list=`for i in $$bases; do echo $$i.log; done`; \
645        log_list=`echo $$log_list`; \
646        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
647                am__force_recheck=am--force-recheck \
648                TEST_LOGS="$$log_list"; \
649        exit $$?
650block.log: block
651        @p='block'; \
652        b='block'; \
653        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
654        --log-file $$b.log --trs-file $$b.trs \
655        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
656        "$$tst" $(AM_TESTS_FD_REDIRECT)
657coroutine.log: coroutine
658        @p='coroutine'; \
659        b='coroutine'; \
660        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
661        --log-file $$b.log --trs-file $$b.trs \
662        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
663        "$$tst" $(AM_TESTS_FD_REDIRECT)
664create.log: create
665        @p='create'; \
666        b='create'; \
667        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
668        --log-file $$b.log --trs-file $$b.trs \
669        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
670        "$$tst" $(AM_TESTS_FD_REDIRECT)
671disjoint.log: disjoint
672        @p='disjoint'; \
673        b='disjoint'; \
674        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
675        --log-file $$b.log --trs-file $$b.trs \
676        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
677        "$$tst" $(AM_TESTS_FD_REDIRECT)
678enter.log: enter
679        @p='enter'; \
680        b='enter'; \
681        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
682        --log-file $$b.log --trs-file $$b.trs \
683        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
684        "$$tst" $(AM_TESTS_FD_REDIRECT)
685enter3.log: enter3
686        @p='enter3'; \
687        b='enter3'; \
688        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
689        --log-file $$b.log --trs-file $$b.trs \
690        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
691        "$$tst" $(AM_TESTS_FD_REDIRECT)
692processor.log: processor
693        @p='processor'; \
694        b='processor'; \
695        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
696        --log-file $$b.log --trs-file $$b.trs \
697        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
698        "$$tst" $(AM_TESTS_FD_REDIRECT)
699stack.log: stack
700        @p='stack'; \
701        b='stack'; \
702        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
703        --log-file $$b.log --trs-file $$b.trs \
704        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
705        "$$tst" $(AM_TESTS_FD_REDIRECT)
706wait.log: wait
707        @p='wait'; \
708        b='wait'; \
709        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
710        --log-file $$b.log --trs-file $$b.trs \
711        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
712        "$$tst" $(AM_TESTS_FD_REDIRECT)
713yield.log: yield
714        @p='yield'; \
715        b='yield'; \
716        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
717        --log-file $$b.log --trs-file $$b.trs \
718        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
719        "$$tst" $(AM_TESTS_FD_REDIRECT)
720.test.log:
721        @p='$<'; \
722        $(am__set_b); \
723        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
724        --log-file $$b.log --trs-file $$b.trs \
725        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
726        "$$tst" $(AM_TESTS_FD_REDIRECT)
727@am__EXEEXT_TRUE@.test$(EXEEXT).log:
728@am__EXEEXT_TRUE@       @p='$<'; \
729@am__EXEEXT_TRUE@       $(am__set_b); \
730@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
731@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
732@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
733@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
734
735distdir: $(DISTFILES)
736        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
737        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
738        list='$(DISTFILES)'; \
739          dist_files=`for file in $$list; do echo $$file; done | \
740          sed -e "s|^$$srcdirstrip/||;t" \
741              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
742        case $$dist_files in \
743          */*) $(MKDIR_P) `echo "$$dist_files" | \
744                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
745                           sort -u` ;; \
746        esac; \
747        for file in $$dist_files; do \
748          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
749          if test -d $$d/$$file; then \
750            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
751            if test -d "$(distdir)/$$file"; then \
752              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
753            fi; \
754            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
755              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
756              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
757            fi; \
758            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
759          else \
760            test -f "$(distdir)/$$file" \
761            || cp -p $$d/$$file "$(distdir)/$$file" \
762            || exit 1; \
763          fi; \
764        done
765check-am: all-am
766        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
767check: check-am
768all-am: Makefile all-local
769installdirs:
770install: install-am
771install-exec: install-exec-am
772install-data: install-data-am
773uninstall: uninstall-am
774
775install-am: all-am
776        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
777
778installcheck: installcheck-am
779install-strip:
780        if test -z '$(STRIP)'; then \
781          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
782            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
783              install; \
784        else \
785          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
786            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
787            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
788        fi
789mostlyclean-generic:
790        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
791        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
792        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
793
794clean-generic:
795
796distclean-generic:
797        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
798        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
799
800maintainer-clean-generic:
801        @echo "This command is intended for maintainers to use"
802        @echo "it deletes files that may require special tools to rebuild."
803clean: clean-am
804
805clean-am: clean-generic clean-local mostlyclean-am
806
807distclean: distclean-am
808        -rm -f Makefile
809distclean-am: clean-am distclean-generic
810
811dvi: dvi-am
812
813dvi-am:
814
815html: html-am
816
817html-am:
818
819info: info-am
820
821info-am:
822
823install-data-am:
824
825install-dvi: install-dvi-am
826
827install-dvi-am:
828
829install-exec-am:
830
831install-html: install-html-am
832
833install-html-am:
834
835install-info: install-info-am
836
837install-info-am:
838
839install-man:
840
841install-pdf: install-pdf-am
842
843install-pdf-am:
844
845install-ps: install-ps-am
846
847install-ps-am:
848
849installcheck-am:
850
851maintainer-clean: maintainer-clean-am
852        -rm -f Makefile
853maintainer-clean-am: distclean-am maintainer-clean-generic
854
855mostlyclean: mostlyclean-am
856
857mostlyclean-am: mostlyclean-generic
858
859pdf: pdf-am
860
861pdf-am:
862
863ps: ps-am
864
865ps-am:
866
867uninstall-am:
868
869.MAKE: check-am install-am install-strip
870
871.PHONY: all all-am all-local check check-TESTS check-am clean \
872        clean-generic clean-local cscopelist-am ctags-am distclean \
873        distclean-generic distdir dvi dvi-am html html-am info info-am \
874        install install-am install-data install-data-am install-dvi \
875        install-dvi-am install-exec install-exec-am install-html \
876        install-html-am install-info install-info-am install-man \
877        install-pdf install-pdf-am install-ps install-ps-am \
878        install-strip installcheck installcheck-am installdirs \
879        maintainer-clean maintainer-clean-generic mostlyclean \
880        mostlyclean-generic pdf pdf-am ps ps-am recheck tags-am \
881        uninstall uninstall-am
882
883.PRECIOUS: Makefile
884
885
886# .INTERMEDIATE: ${TESTS}
887
888all-local: ${TESTS:=.run}
889
890runall : ${TESTS:=.run}
891        @ echo "All programs terminated normally"
892
893watchall : ${TESTS:=.watch}
894        @ echo "All programs terminated normally"
895
896compileall : ${TESTS}
897        @ echo "Compiled"
898
899clean-local:
900        rm -f ${TESTS} core* out.log .type
901
902% : %.c ${CC} ${UPDATED_TYPE}
903        ${AM_V_GEN}${CC} ${CFLAGS} ${<} $(debug) -o ${@}
904
905%.run : % ${REPEAT}
906        @ time ${REPEAT} -r out.log -i -s $(repeats) timeout ${max_time} ./${<}
907        @ rm ${<}
908        @ echo -e "${<}: SUCCESS\n"
909
910%.watch : % ${WATCHDOG}
911        @ time ${WATCHDOG} ./${<}
912        @ rm ${<}
913        @ echo -e "${<}: SUCCESS\n"
914
915%.time : % ${REPEAT}
916        @ ${REPEAT} -i -s -- $(repeats) $(TIME) -a -o times.log ./${<}
917        @ rm ${<}
918        @ echo -e "${<}: SUCCESS\n"
919
920${REPEAT}: ${abs_top_srcdir}/tools/Makefile
921        @+make -C ${abs_top_srcdir}/tools/
922
923${WATCHDOG}: ${abs_top_srcdir}/tools/Makefile
924        @+make -C ${abs_top_srcdir}/tools/
925
926# Tell versions [3.59,3.63) of GNU make to not export all variables.
927# Otherwise a system limit (for SysV at least) may be exceeded.
928.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.